Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.win32
Class EventLogThread

    java.lang.Object
      org.hyperic.sigar.win32.EventLogThread

All Implemented Interfaces:
  java.lang.Runnable

    public class EventLogThread

extends java.lang.Object
implements java.lang.Runnable

A simple thread that runs forever monitoring the event log.

Field Summary
`static int` | `DEFAULT_INTERVAL`

Constructor Summary
`EventLogThread()`

Method Summary
`void` | `add(EventLogNotification notifier)`
`static void` | `closeInstances()`
`void` | `die()`
`void` | `doStart()`
`void` | `doStop()`
`static EventLogThread` | `getInstance()` Deprecated.
`static EventLogThread` | `getInstance(java.lang.String name)`
`static void` | `main(java.lang.String[] args)`
`void` | `remove(EventLogNotification notifier)`
`void` | `run()`
`void` | `setInterval(long interval)`
`void` | `setLogName(java.lang.String logName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_INTERVAL

    public static final int DEFAULT_INTERVAL

See Also:
  Constant Field Values

Constructor Detail

### EventLogThread

    public EventLogThread()

Method Detail

### getInstance

    public static EventLogThread getInstance()

  Deprecated.

### getInstance

    public static EventLogThread getInstance(java.lang.String name)

### closeInstances

    public static void closeInstances()

### setInterval

    public void setInterval(long interval)

### setLogName

    public void setLogName(java.lang.String logName)

### doStart

    public void doStart()

### doStop

    public void doStop()

### add

    public void add(EventLogNotification notifier)

### remove

    public void remove(EventLogNotification notifier)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### die

    public void die()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Hyperic. All Rights Reserved.